Danger from the deep

January 20, 2011

Building the latest and greatest from SVN on debian

Filed under: Development — tx2rx @ 21:50

The last release we did is pretty old (coming up to 4 years now), this is a quick set of instructions to anyone up and running with the latest from SVN/trunk.

You’ll need the following packages installed (either as root or via sudo):

apt-get install subversion g++ scons libsdl1.2-dev libsdl-mixer1.2-dev libsdl-image1.2-dev libfftw3-dev libbz2-dev

This will install quite a lot of packages and their dependencies.

To get the latest version of the code and data files:

svn co https://dangerdeep.svn.sourceforge.net/svnroot/dangerdeep/trunk/dangerdeep/ dangerdeep

This step can take a while.

To compile danger from the deep:

cd dangerdeep
scons debug=1 datadir=`pwd`/data

Once successfully compiled you can run the dangerdeep with:

./build/linux/dangerdeep –debug

More options can be found with:

./build/linux/dangerdeep –help

Happy Hunting!

Powered by WordPress